[arch-commits] Commit in revive/repos (2 files)

Anatol Pomozov anatolik at archlinux.org
Mon Jan 4 04:51:30 UTC 2021


    Date: Monday, January 4, 2021 @ 04:51:30
  Author: anatolik
Revision: 806489

archrelease: copy trunk to community-testing-x86_64

Added:
  revive/repos/community-testing-x86_64/
  revive/repos/community-testing-x86_64/PKGBUILD
    (from rev 806488, revive/trunk/PKGBUILD)

----------+
 PKGBUILD |   35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

Copied: revive/repos/community-testing-x86_64/PKGBUILD (from rev 806488, revive/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2021-01-04 04:51:30 UTC (rev 806489)
@@ -0,0 +1,35 @@
+# Contributor: Dimitris Kiziridis <ragouel at outlook dot com>
+
+pkgname=revive
+pkgver=1.0.2
+pkgrel=2
+pkgdesc="faster, stricter, configurable, extensible, and beautiful drop-in replacement for golint"
+arch=('x86_64')
+url='https://revive.run'
+license=('MIT')
+depends=('glibc')
+makedepends=('go')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/mgechev/revive/archive/v${pkgver}.tar.gz")
+sha256sums=('1d3b7a171afba55ee5a6cd7c87ebbcb452ec78a6cf0543584fada7d725ffca31')
+
+build() {
+  cd revive-${pkgver}
+  export CGO_LDFLAGS="${LDFLAGS}"
+  export CGO_CFLAGS="${CFLAGS}"
+  export CGO_CPPFLAGS="${CPPFLAGS}"
+  export CGO_CXXFLAGS="${CXXFLAGS}"
+  export GOFLAGS="-buildmode=pie -trimpath -modcacherw"
+  go build
+}
+
+check() {
+  cd revive-${pkgver}/test
+  go test || true
+}
+
+package() {
+  cd revive-${pkgver}
+  install -Dm755 revive "${pkgdir}/usr/bin/revive"
+  install -Dm644 defaults.toml "${pkgdir}/etc/revive/revive.toml"
+  install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}



More information about the arch-commits mailing list